org.eclipse.viatra.transformation.evm.specific

## Class Schedulers

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.specific.Schedulers

-     public final class Schedulers
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpdateCompleteBasedScheduler.UpdateCompleteBasedSchedulerFactory` | `getIQBaseSchedulerFactory(IBaseIndex index)` Creates a scheduler factory that creates schedulers by registering to the after update callback on the NavigationHelper.
    `static UpdateCompleteBasedScheduler.UpdateCompleteBasedSchedulerFactory` | `getQueryEngineSchedulerFactory(ViatraQueryEngine engine)` Creates a scheduler factory that creates schedulers by registering a model update listener on the given engine.
    `static TimedScheduler.TimedSchedulerFactory` | `getTimedSchedulerFactory(long interval)` Creates a scheduler factory with the given interval.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getIQBaseSchedulerFactory

          public static UpdateCompleteBasedScheduler.UpdateCompleteBasedSchedulerFactory getIQBaseSchedulerFactory(IBaseIndex index)

      Creates a scheduler factory that creates schedulers by registering to the after update callback on the NavigationHelper.
      Parameters:
        `index` -

    - #### getQueryEngineSchedulerFactory

          public static UpdateCompleteBasedScheduler.UpdateCompleteBasedSchedulerFactory getQueryEngineSchedulerFactory(ViatraQueryEngine engine)

      Creates a scheduler factory that creates schedulers by registering a model update listener on the given engine.
      Parameters:
        `engine` -

    - #### getTimedSchedulerFactory

          public static TimedScheduler.TimedSchedulerFactory getTimedSchedulerFactory(long interval)

      Creates a scheduler factory with the given interval.
      Parameters:
        `interval` -